unit USBaspTest0;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  LibUSB;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  USBasp: TLIBUSB;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  //ʼ
  USBdevInit(USBasp);
  //ͨVIDPIDʶ豸
  USBasp.VID := $03EB;
  USBasp.PID := $C7B4;
  //豸
  if not USBdevOpen(USBasp) then
  begin
    MessageBox(Handle, 'USBaspʧܣ'+#13#10+'USBaspǷ', '', MB_OK + MB_ICONSTOP +
      MB_DEFBUTTON2);
    Halt;
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  USBdevClose(USBasp);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  USBdevWrite(USBasp, 1, 0, 0, 8);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  USBdevWrite(USBasp, 2, 0, 0, 8);
end;

end.

